Package org.apache.el.lang

## Class ExpressionBuilder

- java.lang.Object
- - org.apache.el.lang.ExpressionBuilder

- All Implemented Interfaces:
    `org.apache.el.parser.NodeVisitor`

      public final class ExpressionBuilder
      extends java.lang.Object
      implements org.apache.el.parser.NodeVisitor

  Author:
    Jacob Hookom [jacob@hookom.net]

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExpressionBuilder​(java.lang.String expression, ELContext ctx)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MethodExpression` | `createMethodExpression​(java.lang.Class<?> expectedReturnType, java.lang.Class<?>[] expectedParamTypes)` |
    `static org.apache.el.parser.Node` | `createNode​(java.lang.String expr)` |
    `ValueExpression` | `createValueExpression​(java.lang.Class<?> expectedType)` |
    `void` | `visit​(org.apache.el.parser.Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionBuilder

          public ExpressionBuilder​(java.lang.String expression,
                                   ELContext ctx)
                            throws ELException

      Throws:
        `ELException`

  - ### Method Detail

    - #### createNode

          public static org.apache.el.parser.Node createNode​(java.lang.String expr)
                                                      throws ELException

      Throws:
        `ELException`

    - #### visit

          public void visit​(org.apache.el.parser.Node node)
                     throws ELException

      Specified by:
        `visit` in interface `org.apache.el.parser.NodeVisitor`
      Throws:
        `ELException`

    - #### createValueExpression

          public ValueExpression createValueExpression​(java.lang.Class<?> expectedType)
                                                throws ELException

      Throws:
        `ELException`

    - #### createMethodExpression

          public MethodExpression createMethodExpression​(java.lang.Class<?> expectedReturnType,
                                                         java.lang.Class<?>[] expectedParamTypes)
                                                  throws ELException

      Throws:
        `ELException`